ROOTDIR = ../../bin/
LOCALDIR = utils/mksprite/

COBJ = 

CFLAGS = `sdl-config --cflags` -O2 -Wall
LFLAGS = `sdl-config --libs` -lSDL_image -lpng

APPNAME = mksprite

%.o: $(SRCDIR)%.c
	@$(CC) -c $(CFLAGS) -o $@ $<
	@echo -e "\tCC $(LOCALDIR)$@"

all:
	@$(CC) $(LFLAGS) $(CFLAGS) -o $(ROOTDIR)$(APPNAME) main.c $(COBJS)
	@echo -e "\tLD $(APPNAME)"

clean:
	rm -rf *.o

